import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/shop_repository.dart';

class SelectCardUseCase implements UseCase<DataState<String>, String> {
  final ShopRepository repository;
  SelectCardUseCase(this.repository);

  @override
  Future<DataState<String>> call(String params) =>
      repository.selectCard(params);
}
